## texlive-lang 2017.20170623

=== debian/changelog ===
texlive-lang (2017.20170623-1) unstable; urgency=medium

  * new checkout

 -- Norbert Preining <preining@debian.org>  Fri, 23 Jun 2017 23:00:59 +0900

texlive-lang (2017.20170614-1) experimental; urgency=medium

  * new checkout

 -- Norbert Preining <preining@debian.org>  Wed, 14 Jun 2017 12:10:17 +0900

=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
Standards-Version: 3.9.8
Homepage: http://www.tug.org/texlive/

Package: texlive-lang-arabic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2017.20170525), texlive-base (>= 2017.20170525), texlive-plain-generic (>= 2017.20170525)
Breaks: texlive-base (<< 2017.20170525)
Description: TeX Live: Arabic
 Support for Arabic and Persian.
 .
 This package includes the following CTAN packages:
 .
 alkalami -- A font for Arabic-based writing systems in Nigeria and Niger
 .
 amiri -- A classical Arabic typeface, Naskh style
 .
 arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel
 .
 arabi-add -- Using hyperref and bookmark packages with arabic and farsi
 languages
 .
 arabluatex -- An ArabTeX-like interface for LuaLaTeX
 .
 arabtex -- Macros and fonts for typesetting Arabic
 .
 bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX
 .
 bidihl -- Experimental bidi-aware text highlighting
 .
 dad -- Simple typesetting system for mixed Arabic/Latin documents
 .
 ghab -- Typeset ghab boxes in LaTeX
 .
 hyphen-arabic -- (No) Arabic hyphenation patterns.
 .
 hyphen-farsi -- (No) Persian hyphenation patterns.
 .
 imsproc -- Typeset IMS conference proceedings
 .
 lshort-persian -- Persian (Farsi) introduction to LaTeX
 .
 persian-bib -- Persian translations of classic BibTeX styles
 .
 simurgh -- Typeset Parsi in LuaLaTeX
 .
 tram -- Typeset tram boxes in LaTeX
 .
 xepersian -- Persian for LaTeX, using XeTeX

Package: texlive-lang-cjk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2017.20170525), texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170525)
Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
Breaks: texlive-base (<< 2017.20170525)
Description: TeX Live: Chinese/Japanese/Korean (base)
 Packages supporting a combination of Chinese, Japanese, Korean, including 
 macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
 some overlap in those fonts; standard Thai support is in 
 collection-langother.  Additional packages for CJK are in their individual 
 language collections.
 .
 This package includes the following CTAN packages:
 .
 c90 --
 .
 cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
 .
 cjkpunct -- Adjust locations and kerning of CJK punctuation marks
 .
 garuda-c90 -- TeX support (from CJK) for the garuda font
 .
 norasi-c90 -- TeX support (from CJK) for the norasi font
 .
 pxtatescale -- Patch to graphics driver for scaling in vertical direction of
 pTeX
 .
 xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
 .
 zxjafont -- Set up Japanese font families for XeLaTeX

Package: texlive-lang-korean
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-lang-cjk (>= 2017.20170525)
Conflicts: ko.tex-bin
Provides: ko.tex
Breaks: texlive-base (<< 2017.20170525)
Description: TeX Live: Korean
 Support for Korean; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 baekmuk -- Baekmuk Korean TrueType fonts
 .
 cjk-ko -- Extension of the CJK package for Korean typesetting
 .
 kotex-oblivoir -- A LaTeX document class for typesetting Korean documents
 .
 kotex-plain -- Macros for typesetting Korean under Plain TeX
 .
 kotex-utf -- Typeset Hangul, coded in UTF-8
 .
 kotex-utils -- Utility scripts and support files for typesetting Korean
 .
 lshort-korean -- Korean introduction to LaTeX
 .
 nanumtype1 -- Type1 subfonts of Nanum Korean fonts
 .
 uhc -- Fonts for the Korean language
 .
 unfonts-core -- TrueType version of Un-fonts
 .
 unfonts-extra -- TrueType version of Un-fonts

Package: texlive-lang-chinese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2017.20170525), texlive-lang-cjk (>= 2017.20170525)
Breaks: texlive-base (<< 2017.20170525)
Description: TeX Live: Chinese
 Support for Chinese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 arphic-ttf -- TrueType version of Chinese Arphic fonts
 .
 asymptote-by-example-zh-cn -- Asymptote by example
 .
 asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation)
 .
 asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual
 .
 cns --
 .
 ctex -- LaTeX classes and packages for Chinese typesetting
 .
 ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org)
 .
 fandol -- Four basic fonts for Chinese typesetting
 .
 hyphen-chinese -- Chinese pinyin hyphenation patterns.
 .
 impatient-cn --
 .
 latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX
 .
 lshort-chinese -- Introduction to LaTeX, in Chinese
 .
 texlive-zh-cn -- TeX Live manual (Chinese)
 .
 texproposal -- A proposal prototype for LaTeX promotion in Chinese
 universities
 .
 xpinyin -- Automatically add pinyin to Chinese characters
 .
 zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
 .
 zhmetrics-uptex -- Chinese font metrics for upTeX
 .
 zhnumber -- Typeset Chinese representations of numbers
 .
 zhspacing -- Spacing for mixed CJK-English documents in XeTeX

Package: texlive-lang-japanese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-lang-cjk (>= 2017.20170525)
Conflicts: ptex-jisfonts
Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
Replaces: mendexk
Breaks: texlive-base (<< 2017.20170525)
Description: TeX Live: Japanese
 Support for Japanese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 babel-japanese -- Babel support for Japanese
 .
 bxbase -- BX bundle base components
 .
 bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK
 .
 bxjalipsum -- Dummy text in Japanese
 .
 bxjaprnind -- Adjust the position of parentheses at paragraph head
 .
 bxjscls -- Japanese document class collection for all major engines
 .
 bxorigcapt -- To retain the original caption names when using Babel
 .
 convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
 .
 ifptex -- Check if the engine is pTeX or one of its derivatives
 .
 ipaex -- IPA and IPAex fonts from Information-technology Promotion Agency,
 Japan.
 .
 japanese-otf -- Advanced font selection for platex and its friends
 .
 japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX
 .
 jlreq -- Japanese document class based on requirements for Japanese text
 layout
 .
 jsclasses -- Classes tailored for use with Japanese
 .
 lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
 .
 luatexja -- Typeset Japanese with Lua(La)TeX
 .
 mendex-doc -- Documentation for Mendex index processor
 .
 pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
 .
 platex -- pLaTeX2e and miscellaneous macros for pTeX
 .
 platex-tools -- pLaTeX standard tools bundle
 .
 platexcheat -- A LaTeX cheat sheet, in Japanese
 .
 ptex -- A TeX system for publishing in Japanese
 .
 ptex-base -- Plain TeX format and documents for pTeX and e-pTeX
 .
 ptex-fonts -- Fonts for use with pTeX
 .
 ptex-fontmaps -- Font maps and configuration tools for
 Japanese/Chinese/Korean fonts with (u)ptex
 .
 ptex2pdf -- Convert Japanese TeX documents to PDF
 .
 pxbase -- Tools for use with (u)pLaTeX
 .
 pxchfon -- Japanese font setup for pLaTeX and upLaTeX
 .
 pxcjkcat -- LaTeX interface for the CJK category codes of upTeX
 .
 pxjahyper -- Hyperref support for pLaTeX
 .
 pxrubrica -- Ruby annotations according to JIS X 4051
 .
 uplatex -- pLaTeX2e and miscellaneous macros for upTeX
 .
 uptex -- Unicode version of pTeX
 .
 uptex-base -- Plain TeX format and documents for upTeX
 .
 uptex-fonts -- Fonts for use with upTeX
 .
 zxjafbfont -- Fallback CJK font support for xeCJK
 .
 zxjatype -- Standard conforming typesetting of Japanese, for XeLaTeX

Package: texlive-lang-cyrillic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2017.20170525), texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170525)
Breaks: texlive-base (<< 2017.20170525)
Description: TeX Live: Cyrillic
 Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
 if Latin alphabets may also be used.
 .
 This package includes the following CTAN packages:
 .
 babel-belarusian -- Babel support for Belarusian
 .
 babel-bulgarian -- Babel contributed support for Bulgarian
 .
 babel-russian -- Russian language module for Babel
 .
 babel-serbian -- Babel/Polyglossia support for Serbian
 .
 babel-serbianc -- Babel module to support Serbian Cyrillic
 .
 babel-ukrainian -- Babel support for Ukrainian
 .
 churchslavonic -- Typeset documents in Church Slavonic language using
 Unicode
 .
 cmcyr -- Computer Modern fonts with cyrillic extensions
 .
 cyrillic -- Support for Cyrillic fonts in LaTeX
 .
 cyrillic-bin -- Cyrillic bibtex and makeindex.
 .
 cyrplain --
 .
 disser -- Class and templates for typesetting dissertations in Russian
 .
 eskd -- Modern Russian typesetting
 .
 eskdx -- Modern Russian typesetting
 .
 gost -- BibTeX styles to format according to GOST
 .
 hyphen-belarusian -- Belarusian hyphenation patterns.
 .
 hyphen-bulgarian -- Bulgarian hyphenation patterns.
 .
 hyphen-churchslavonic -- Church Slavonic hyphenation patterns.
 .
 hyphen-mongolian -- Mongolian hyphenation patterns in Cyrillic script.
 .
 hyphen-russian -- Russian hyphenation patterns.
 .
 hyphen-serbian -- Serbian hyphenation patterns.
 .
 hyphen-ukrainian -- Ukrainian hyphenation patterns.
 .
 lcyw -- Make Classic Cyrillic CM fonts accessible in LaTeX
 .
 lh -- Cyrillic fonts that support LaTeX standard encodings
 .
 lhcyr -- A non-standard Cyrillic input scheme
 .
 lshort-bulgarian -- Bulgarian translation of the "Short Introduction to
 LaTeX2e"
 .
 lshort-mongol -- Short introduction to LaTeX, in Mongolian
 .
 lshort-russian -- Russian introduction to LaTeX
 .
 lshort-ukr -- Ukrainian version of the LaTeX introduction
 .
 mongolian-babel -- A language definition file for Mongolian in Babel
 .
 montex -- Mongolian LaTeX
 .
 mpman-ru -- A Russian translation of the MetaPost manual
 .
 pst-eucl-translation-bg -- Bulgarian translation of the pst-eucl
 documentation
 .
 ruhyphen -- Russian hyphenation
 .
 russ -- LaTeX in Russian, without babel
 .
 serbian-apostrophe -- Commands for Serbian words with apostrophes
 .
 serbian-date-lat -- Updated date typesetting for Serbian
 .
 serbian-def-cyr -- Serbian cyrillic localization
 .
 serbian-lig -- Control ligatures in Serbian
 .
 t2 -- Support for using T2 encoding
 .
 texlive-ru -- TeX Live manual (Russian)
 .
 texlive-sr -- TeX Live manual (Serbian)
 .
 ukrhyph -- Hyphenation Patterns for Ukrainian

Package: texlive-lang-czechslovak
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2017.20170525), texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170525), texlive-luatex (>= 2017.20170525)
Breaks: texlive-base (<< 2017.20170525)
Description: TeX Live: Czech/Slovak
 Support for Czech/Slovak.
 .
 This package includes the following CTAN packages:
 .
 babel-czech -- Babel support for Czech
 .

## texlive-lang 2017.20170627

=== debian/changelog ===
texlive-lang (2017.20170627-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 27 Jun 2017 10:19:46 +0900

## texlive-lang 2017.20170629

=== debian/changelog ===
texlive-lang (2017.20170629-1) unstable; urgency=medium

  * new upstream checkout
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 29 Jun 2017 11:31:25 +0900

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.tug.org/texlive/
 
 Package: texlive-lang-arabic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2017.20170525), texlive-base (>= 2017.20170525), texlive-plain-generic (>= 2017.20170525)
-Breaks: texlive-base (<< 2017.20170525)
+Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-plain-generic (>= 2017.20170628)
+Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: Arabic
  Support for Arabic and Persian.
  .
@@ -58,9 +58,9 @@
 Package: texlive-lang-cjk
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2017.20170525), texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170525)
+Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
 Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
-Breaks: texlive-base (<< 2017.20170525)
+Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: Chinese/Japanese/Korean (base)
  Packages supporting a combination of Chinese, Japanese, Korean, including 
  macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
@@ -90,10 +90,10 @@
 Package: texlive-lang-korean
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-lang-cjk (>= 2017.20170525)
+Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-lang-cjk (>= 2017.20170628)
 Conflicts: ko.tex-bin
 Provides: ko.tex
-Breaks: texlive-base (<< 2017.20170525)
+Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: Korean
  Support for Korean; additional packages in collection-langcjk.
  .
@@ -124,8 +124,8 @@
 Package: texlive-lang-chinese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2017.20170525), texlive-lang-cjk (>= 2017.20170525)
-Breaks: texlive-base (<< 2017.20170525)
+Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2017.20170628), texlive-lang-cjk (>= 2017.20170628)
+Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: Chinese
  Support for Chinese; additional packages in collection-langcjk.
  .
@@ -173,11 +173,11 @@
 Package: texlive-lang-japanese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-lang-cjk (>= 2017.20170525)
+Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-lang-cjk (>= 2017.20170628)
 Conflicts: ptex-jisfonts
 Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
 Replaces: mendexk
-Breaks: texlive-base (<< 2017.20170525)
+Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: Japanese
  Support for Japanese; additional packages in collection-langcjk.
  .
@@ -263,8 +263,8 @@
 Package: texlive-lang-cyrillic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2017.20170525), texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170525)
-Breaks: texlive-base (<< 2017.20170525)
+Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
+Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: Cyrillic
  Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
  if Latin alphabets may also be used.
@@ -363,8 +363,8 @@
 Package: texlive-lang-czechslovak
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2017.20170525), texlive-base (>= 2017.20170525), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170525), texlive-luatex (>= 2017.20170525)
-Breaks: texlive-base (<< 2017.20170525)
+Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628), texlive-luatex (>= 2017.20170628)
+Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: Czech/Slovak
  Support for Czech/Slovak.
  .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-lang

PACKAGES=texlive-lang-arabic texlive-lang-cjk texlive-lang-korean texlive-lang-chinese texlive-lang-japanese texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-english texlive-lang-european texlive-lang-french texlive-lang-german texlive-lang-greek texlive-lang-italian texlive-lang-other texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish
METAPACKAGES=texlive-lang-all

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	# move ltx-help.el into emacs directory

	mkdir -p debian/texlive-lang-english/usr/share/emacs/site-lisp
	mv debian/texlive-lang-english/usr/share/doc/texlive-doc/latex/latex2e-help-texinfo/ltx-help.el \
		debian/texlive-lang-english/usr/share/emacs/site-lisp
	# link pfb/afm files (type1 fonts) into /usr/share/fonts

	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	# we create the format links via the texlive-lang-czechslovak.links
	# file, since otherwise dh_installtex boils out as several formats
	# with different engines have the same name
	dh_installtex -p texlive-lang-czechslovak --flavor=tree:texlive,format:no_links
	dh_installtex -N texlive-lang-czechslovak --flavor=tree:texlive

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof

## texlive-lang 2017.20170724

=== debian/changelog ===
texlive-lang (2017.20170724-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Mon, 24 Jul 2017 08:02:15 +0900

=== debian/control ===
--- 
+++ 
@@ -78,6 +78,8 @@
  .
  garuda-c90 -- TeX support (from CJK) for the garuda font
  .
+ jfmutil -- Utility to process pTeX-extended TFM and VF
+ .
  norasi-c90 -- TeX support (from CJK) for the norasi font
  .
  pxtatescale -- Patch to graphics driver for scaling in vertical direction of
@@ -248,6 +250,8 @@
  .
  pxrubrica -- Ruby annotations according to JIS X 4051
  .
+ pxufont -- Emulate non-Unicode Japanese fonts using Unicode fonts
+ .
  uplatex -- pLaTeX2e and miscellaneous macros for upTeX
  .
  uptex -- Unicode version of pTeX
@@ -366,9 +370,3 @@
 Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628), texlive-luatex (>= 2017.20170628)
 Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: Czech/Slovak
- Support for Czech/Slovak.
- .
- This package includes the following CTAN packages:
- .
- babel-czech -- Babel support for Czech
- .

## texlive-lang 2017.20170801

=== debian/changelog ===
texlive-lang (2017.20170801-1) unstable; urgency=medium

  * new upstream checkout: The Long Dark release!

 -- Norbert Preining <preining@debian.org>  Tue, 01 Aug 2017 16:07:23 +0900

=== debian/control ===
--- 
+++ 
@@ -341,6 +341,8 @@
  .
  mpman-ru -- A Russian translation of the MetaPost manual
  .
+ numnameru -- converts a number to the russian spelled out name
+ .
  pst-eucl-translation-bg -- Bulgarian translation of the pst-eucl
  documentation
  .
@@ -368,5 +370,3 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628), texlive-luatex (>= 2017.20170628)
-Breaks: texlive-base (<< 2017.20170628)
-Description: TeX Live: Czech/Slovak

## texlive-lang 2017.20170808

=== debian/changelog ===
texlive-lang (2017.20170808-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 08 Aug 2017 10:31:45 +0900

## texlive-lang 2017.20170818

=== texmf-dist/doc/latex/platex-tools/Makefile ===
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f ptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

all: plarray.pdf plextarray.pdf plextdelarray.pdf \
	pxftnright.pdf pxeverysel.pdf pxeveryshi.pdf \
	bounddvi.pdf bounddvi-en.pdf pxgentombow.pdf

.SUFFIXES: .tex .dvi .pdf
.tex.dvi:
	platex $(KANJI) $<
	platex $(KANJI) $<
	rm *.aux *.log
.dvi.pdf:
	dvipdfmx $(FONTMAP) $<

.PHONY: install clean
install:
	mkdir -p ${TEXMF}/doc/platex/platex-tools
	cp ./Makefile ${TEXMF}/doc/platex/platex-tools/
	cp ./LICENSE ${TEXMF}/doc/platex/platex-tools/
	cp ./README.md ${TEXMF}/doc/platex/platex-tools/
	cp ./*.pdf ${TEXMF}/doc/platex/platex-tools/
	cp ./*.tex ${TEXMF}/doc/platex/platex-tools/
	mkdir -p ${TEXMF}/tex/platex/platex-tools
	cp ./*.sty ${TEXMF}/tex/platex/platex-tools/
clean:
	rm -f *.dvi *.pdf

=== debian/changelog ===
texlive-lang (2017.20170818-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Fri, 18 Aug 2017 11:46:17 +0900

=== debian/control ===
--- 
+++ 
@@ -164,6 +164,8 @@
  .
  xpinyin -- Automatically add pinyin to Chinese characters
  .
+ zhlipsum -- Chinese dummy text
+ .
  zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
  .
  zhmetrics-uptex -- Chinese font metrics for upTeX
@@ -369,4 +371,3 @@
 Package: texlive-lang-czechslovak
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628), texlive-luatex (>= 2017.20170628)

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 build-indep: build-stamp
 
 build-stamp:
+
 	touch build-stamp
 
 clean: 
@@ -21,6 +22,7 @@
 	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
 	  rm -f debian/$$i.{lintian-overrides} ; \
 	done
+
 
 	# texlive contains some .orig files we need to keep otherwise
 	# the copy will fail due to the files occurring in the tlpdb

## texlive-lang 2017.20171031

=== debian/changelog ===
texlive-lang (2017.20171031-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 31 Oct 2017 10:41:05 +0900

texlive-lang (2017.20171004-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Wed, 04 Oct 2017 13:07:25 +0900

texlive-lang (2017.20170926-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 26 Sep 2017 11:08:01 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-plain-generic (>= 2017.20170628)
-Breaks: texlive-base (<< 2017.20170628)
+Replaces: texlive-luatex (<< 2017.20171022)
+Breaks: texlive-base (<< 2017.20170628), texlive-luatex (<< 2017.20171022)
 Description: TeX Live: Arabic
  Support for Arabic and Persian.
  .
@@ -46,6 +47,10 @@
  imsproc -- Typeset IMS conference proceedings
  .
  lshort-persian -- Persian (Farsi) introduction to LaTeX
+ .
+ luabidi -- Bidirectional typesetting with LuaLaTeX
+ .
+ na-box -- Arabic-aware version of pas-cours package
  .
  persian-bib -- Persian translations of classic BibTeX styles
  .
@@ -78,6 +83,8 @@
  .
  garuda-c90 -- TeX support (from CJK) for the garuda font
  .
+ fixjfm -- Fix JFM (for *pTeX)
+ .
  jfmutil -- Utility to process pTeX-extended TFM and VF
  .
  norasi-c90 -- TeX support (from CJK) for the norasi font
@@ -161,6 +168,8 @@
  .
  texproposal -- A proposal prototype for LaTeX promotion in Chinese
  universities
+ .
+ upzhkinsoku -- Supplementary Chinese kinsoku for Unicode *pTeX
  .
  xpinyin -- Automatically add pinyin to Chinese characters
  .
@@ -205,6 +214,8 @@
  .
  ifptex -- Check if the engine is pTeX or one of its derivatives
  .
+ ifxptex -- Detect pTeX and its derivatives
+ .
  ipaex -- IPA and IPAex fonts from Information-technology Promotion Agency,
  Japan.
  .
@@ -364,10 +375,3 @@
  .
  texlive-ru -- TeX Live manual (Russian)
  .
- texlive-sr -- TeX Live manual (Serbian)
- .
- ukrhyph -- Hyphenation Patterns for Ukrainian
-
-Package: texlive-lang-czechslovak
-Architecture: all
-Multi-Arch: foreign

## texlive-lang 2017.20171128

=== debian/changelog ===
texlive-lang (2017.20171128-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 28 Nov 2017 08:51:53 +0900

=== debian/control ===
--- 
+++ 
@@ -75,7 +75,7 @@
  .
  This package includes the following CTAN packages:
  .
- c90 --
+ c90 -- c90 font encoding for Thai
  .
  cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
  .
@@ -148,7 +148,7 @@
  .
  asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual
  .
- cns --
+ cns -- Chinese/Japanese/Korean fonts
  .
  ctex -- LaTeX classes and packages for Chinese typesetting
  .
@@ -158,7 +158,7 @@
  .
  hyphen-chinese -- Chinese pinyin hyphenation patterns.
  .
- impatient-cn --
+ impatient-cn -- Free edition of the book "TeX for the Impatient"
  .
  latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX
  .
@@ -216,8 +216,7 @@
  .
  ifxptex -- Detect pTeX and its derivatives
  .
- ipaex -- IPA and IPAex fonts from Information-technology Promotion Agency,
- Japan.
+ ipaex -- IPA (Japanese) fonts
  .
  japanese-otf -- Advanced font selection for platex and its friends
  .
@@ -307,9 +306,9 @@
  .
  cyrillic -- Support for Cyrillic fonts in LaTeX
  .
- cyrillic-bin -- Cyrillic bibtex and makeindex.
- .
- cyrplain --
+ cyrillic-bin -- Cyrillic bibtex and makeindex
+ .
+ cyrplain -- Support for using T2 encoding
  .
  disser -- Class and templates for typesetting dissertations in Russian
  .
@@ -371,7 +370,3 @@
  .
  serbian-lig -- Control ligatures in Serbian
  .
- t2 -- Support for using T2 encoding
- .
- texlive-ru -- TeX Live manual (Russian)
- .

## texlive-lang 2017.20180103

=== debian/changelog ===
texlive-lang (2017.20180103-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Wed, 03 Jan 2018 19:45:59 +0900

## texlive-lang 2017.20180110

=== debian/changelog ===
texlive-lang (2017.20180110-1) unstable; urgency=medium

  * new upstream checkout
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 10 Jan 2018 11:42:05 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.tug.org/texlive/
 
 Package: texlive-lang-arabic

=== debian/rules ===
--- 
+++ 
@@ -45,12 +45,13 @@
 	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
 	done
 
+
 	# move ltx-help.el into emacs directory
-
 	mkdir -p debian/texlive-lang-english/usr/share/emacs/site-lisp
 	mv debian/texlive-lang-english/usr/share/doc/texlive-doc/latex/latex2e-help-texinfo/ltx-help.el \
 		debian/texlive-lang-english/usr/share/emacs/site-lisp
 	# link pfb/afm files (type1 fonts) into /usr/share/fonts
+
 
 	for i in $(PACKAGES) $(METAPACKAGES) ; do \
 	  bash debian/create-font-links $$i >> debian/$$i.links ; \

## texlive-lang 2017.20180225

=== debian/changelog ===
texlive-lang (2017.20180225-1) unstable; urgency=medium

  * new upstream checkout
  * adjust links for Padauk fonts and add dependency onto the relevant
    version to ensure correct fonts are available (Closes: #887574)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Feb 2018 11:54:21 +0900
